import numpy
from matplotlib.pyplot import figure, show

xs, ys = numpy.random.rand(2,100)

fig = figure()
ax = fig.add_subplot(111)
line, = ax.plot(xs, ys, 'o', picker=5)        # 5 points tolerance

def onpick(event):                            # define a handler

    i = event.ind                             # indices of clicked points
    ax.plot(xs[i], ys[i], 'ro')               # plot the points in red
    fig.canvas.draw()                         # update axes

fig.canvas.mpl_connect('pick_event', onpick) # connect handler toevent
show()                                       # enter the main loop





