#!/usr/bin/env python
#coding=utf-8

import numpy as np
import matplotlib.pyplot as plt
from matplotlib.patches import Circle
from matplotlib.lines import Line2D
from matplotlib.axes import Axes
import time 

def pointalize(img, n_pixels, max_radius=0.03):
    width, height, colors = img.shape
    for i in xrange(n_pixels):
        x = np.random.randint(width)
        y = np.random.randint(height)
        color = img[x,y, :]
        radius = np.random.rand()*max_radius

        c = Circle((x*1./width,y*1./height), radius,
                transform=fig.transFigure, figure=fig, ec="none",
                color=color, alpha=0.5)
        
        fig.patches.append(c)
    fig.canvas.draw()

img = plt.imread("kwiatek.png")

n_pixels = 10000

fig = plt.figure()
pointalize(img[::-1,:,:].swapaxes(0,1), n_pixels)
fname = "img_pointalize.png"
plt.savefig(fname)
print "Plot saved to " + fname
